LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDocumentation Interface Reference

`import"XDocumentation.idl";`

## Public Member Functions
string | getDescriptionByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
type | getTypeByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::util::InvalidStateException )
boolean | getModifiedByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::util::InvalidStateException )

## Member Function Documentation

## ◆ getDescriptionByHierarchicalName()

string getDescriptionByHierarchicalName | ( | [in] string | aName | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Returns
  the description for the requested object

Parameters

  aName | the hierarchical name of the object.

Exceptions

  NoSuchElementException | if an element under aName does not exist.

## ◆ getModifiedByHierarchicalName()

boolean getModifiedByHierarchicalName | ( | [in] string | aName | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::util::InvalidStateException
| ) |  |

Returns
  whether the requested object was modified

Parameters

  aName | the hierarchical name of the object.

Exceptions

  NoSuchElementException | if an element under aName does not exist.
  InvalidStateException | when the object has an invalid type

## ◆ getTypeByHierarchicalName()

type getTypeByHierarchicalName | ( | [in] string | aName | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::util::InvalidStateException
| ) |  |

Returns
  the type for the requested object

Parameters

  aName | the hierarchical name of the object.

Exceptions

  NoSuchElementException | if an element under aName does not exist.
  InvalidStateException | when the type of the object could not be resolved.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/XDocumentation.idl